Bug 11395 - Expect password change fails
Summary: Expect password change fails
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: tcltk   
(Show other bugs)
Version: 6.2
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
Assignee: Jens Petersen
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-05-12 21:54 UTC by Tim Jung
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-05-12 21:54:56 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Tim Jung 2000-05-12 21:54:56 UTC
I can not get Expect to do the example script from the O'Reilly "Exploring
Expect" book, where it changes the password. The example is on page #5.

It won't run reliable, and about 95% of the time it just hangs when you
run the script as root.

#!/usr/bin/expect -f
# wrapper to make passwd(1) be non-interactive
# Usage: chpassword user newpassword
spawn passwd [lindex $argv 0]
set password [lindex $argv 1]
expect "password:"
send "$password\r"
expect "password:"
send "$password\r"
expect eof

Comment 1 Jeff Johnson 2000-06-03 14:11:08 UTC
Look at /usr/bin/autopasswd, there's some timing races that need to be dealt
with more carefully than the O'Reilley example would suggest.


Note You need to log in before you can comment on or make changes to this bug.